* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}
body {
    font-family:Georgia, 'Times New Roman', Times, serif;
    background-color: gainsboro;
    color: #101632dd;
}

body, div, ul, nav, header, footer, a, li, label {
    margin: 0;
    padding: 0;
}


/* --------HEADER SECTION------------- */

.header {
    background-color: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    container-type: inline-size;
    container-name: header;
    position: relative;
    z-index: 10;
    text-align: center;
    font-size: 20px;
}


.header__open-nav-button {
    color: #434a5a;
    font-size: 3rem;
    font-weight: 600;
    position: absolute;
    right: 10px;
}

.header__checkbox {
    display: none;
}

.header__nav {
    display: none;
    background-color: gainsboro;
    position: absolute;
    height: 100vh;
    width: 100vw;
    top: 0;
    z-index: -1;
}

.header__nav-list {
    display: flex;
    flex-direction: column;
    height: 40vh;
    margin: auto;
    justify-content: space-evenly;
}

.header__checkbox:checked ~ .header__nav {
    display: flex;
}


.header__logo {
    max-width: 100%;
    width: 300px;
    margin: 0px;
}

.header__nav-item {
    list-style: none;
}

.header__nav-item a {
    color: #303d5f;
    text-decoration: none;
}

.header__nav-item a:hover {
    text-decoration: none;
    color: #f84206;
}
/*-------------HEADER QUERIES--------------*/

@container header (min-width: 600px) {
    .header__nav {
        display: block;
        position: static;
        height: auto;
        width: auto;
        justify-content: space-between;
        z-index: 1;
        background-color: transparent;
    }

    .header__nav-list {
        flex-direction: row;
        height: auto;
        width: auto;
        gap: 20px;
        margin-right: 40px;
    }

    .header__open-nav-button {
        display: none;
    }
}

/*-------------HEADER ENDS--------------*/

/*-------------PROFILE SECTION---------*/

.profile {
    container-name: profile;
    container-type: inline-size;
}

.profile__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: gainsboro;
    max-width: 1500px;
    border-radius: 10px 10px 10px 10px;
}

.profile__data-container {
    max-width: 600px;
    padding: 12px;
    text-align: center;
}

.profile__img-container {
    max-height: 700px;
    overflow: hidden;
}

.profile__img {
    max-width: 100%;
    width: 800px;
    border-radius: 10px 10px 10px 10px;
}

h3 {
    color: #303d5f;
    font-size: 25px;
}

.profile__skills-container h2 {
    font-size: 21px;
}
.unam {
    width: 100px;
}



.profile__skill {
    list-style: none;
    display: flex;
    margin: 10px;
    max-width: 600px;
    margin-left: 0;

}


.profile__skill-name {
    color: #303d5f;
}


@container profile (min-width:720px){
    .profile__wrapper {
        flex-direction: row;
        padding: 0;
        background-color: transparent;
        height: auto;
        margin: none;
        border-radius: 10px 10px 10px 10px;
    }
    
    .profile__data-container {
        background-color: rgb(243, 245, 247);
        display: flex;
        align-items: top;
        border-radius: 10px 0px 0px 10px;

    }

    h1 {
        margin-top: 0;
        font-size: 1.6rem;
        text-align: center;
    }
    .profile__data {
        max-width: 620px;
        border-radius: 10px 10px 10px 10px;
        align-items: center;
    }

    .profile__img-container {
        display: flex;
        justify-content: center;
    }
    .profile__img {
        height: 100%;
        object-fit: contain;
        width: 570px;
        background-color: rgb(243, 245, 247);
        border-radius: 0px 10px 10px 0px;
    }
}

/*------------------PROFILE ENDS-----------*/

/*----------------PORTFOLIO QUERIES--------*/

.portfolio {
    background-color: transparent;
    color:  #303d5f;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    text-align: center;
    container-name: portfolio;
    container-type: inline-size;
    justify-content: space-evenly;
}

a {
    color: #fff;
    text-decoration: none;
    font-family: 'Times New Roman', Times, serif;
}
.contornos {
    color: #fff;
    text-decoration: none;
    font-family: 'Times New Roman', Times, serif;
    text-shadow: 
        -1px -1px 0 #303d5f,
        1px -1px 0 #303d5f,
        -1px 1px 0 #303d5f,
        1px 1px 0 #303d5f;
}

.portfolio__project-container {
    display: grid;
    grid-template-columns: 1fr;
    max-width: 1300px;
    margin: auto;
    width: 100%;
    gap:12px;
    min-height: 150vh;
    margin-bottom: 20px;
}

.portfolio__title {
    font-size: 3rem;
    margin-bottom: 30px;
}

.portfolio__project-music {
    background: url(../Imagenes/CORONAS.webp);
    background-position: center;
    background-size: cover;
    display: grid;
    place-content: center;
    border-radius: 8px;
}
.portfolio__project-ventas {
    background: url(../Imagenes/limpieza-bucal-profunda.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: grid;
    place-content: center;
    border-radius: 8px;
}
.portfolio__project-analisis {
    background: url(../Imagenes/ENDODONCIA.png);
    background-position: center;
    background-size: cover;
    display: grid;
    place-content: center;
    border-radius: 8px;
}
.portfolio__project-web {
    background: url(../Imagenes/Resinas-dentales-guia.jpg);
    background-position: center;
    background-size: cover;
    display: grid;
    place-content: center;
    border-radius: 8px;
}
.portfolio__project-photo {
    background: url(../Imagenes/Blanqueamiento-dental-Tratamientos-4.jpg);
    background-position: center;
    background-size: cover;
    display: grid;
    place-content: center;
    border-radius: 8px;
}
.portfolio__project-sports {
    background: url(../Imagenes/PERIDONCIA.webp);
    background-position: center;
    background-size: cover;
    display: grid;
    place-content: center;
    border-radius: 8px;
}



/*----------------PORTFOLIO QUERIES--------*/
@container portfolio (min-width: 56.25rem) {
    .portfolio__project-container {
        grid-template-columns: repeat(auto-fill,minmax(450px,1fr));
    }
    .portfolio__project:first-child{
        grid-column: span 2;
    }
    .portfolio__project:nth-child(6){
        grid-column: span 2;
    }
}

@container portfolio (min-width: 81.25rem) {
    .portfolio__project-container {
        grid-template-columns: repeat(auto-fill,minmax(450px,1fr));
    }
    .portfolio__project:first-child{
        grid-column: span 2;
    }
    .portfolio__project:nth-child(6){
        grid-column: span 2;
    }
}

/*----------------PORTFOLIO ENDS-----------*/


/*--------------------FOOTER SECTION-------------*/

footer {
    background-color: gainsboro;
    height: 100px;
    color: #434a5a;
    font-size: 8px;
    padding: 5px;
    text-align: center;
}